Author Topic: Panel error  (Read 136 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Panel error
« on: February 12, 2018, 01:16:17 PM »
error 500 on login page (IP:2030)

Error from log:

2018/02/12 13:09:51 [error] 23088#0: *10 FastCGI sent in stderr: "PHP message: PHP Fatal error:  The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by the ionCube Encoder for PHP 5.4 and cannot run under PHP 7.0.
 Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 5.6. in Unknown on line 0" while reading response header from upstream

Where can i find index file for new version of environment and why it wasn't automatically downloaded during panel updating process ?

P.S. Fuckin paranoical developers with Ioncube encoding

Offline
****
Re: Panel error
« Reply #1 on: February 12, 2018, 01:27:01 PM »
Likely that there remnants of PHP5.4 on your system

http://forum.centos-webpanel.com/centos-webpanel-bugs/remnants-of-php5-4-16-causing-problems-4550

For some reason CWP does not bother to remove them.

In case you installed PHP7 through the switcher script and you need php-fmp server as upstream server/handler for nginx you may run into the next issue http://forum.centos-webpanel.com/centos-webpanel-bugs/php-switcher-fails-to-install-phpvx-php-fpm-and-dependencies/

Offline
****
Re: Panel error
« Reply #2 on: February 12, 2018, 01:35:28 PM »
Did you use the switcher script to install PHP7 and checked?


Offline
*
Re: Panel error
« Reply #3 on: February 12, 2018, 01:38:29 PM »
all extensions are installed
the problem is that php-fpm for cwp was updated, but index file of panel wasn't updated to match new version of php-fpm for cwp :
[root@server78 ~]# /usr/local/cwp/php71/bin/php -v
PHP 7.0.24 (cli) (built: Nov  5 2017 05:18:54) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2017 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v6.0.9, Copyright (c) 2002-2016, by ionCube Ltd.


Error:
The file /usr/local/cwpsrv/htdocs/admin/index.php was encoded by the ionCube Encoder for PHP 5.4 and cannot run under PHP 7.0

Offline
****
Re: Panel error
« Reply #4 on: February 12, 2018, 01:41:51 PM »
In that case it might be better to contact support